<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>ASTGroupedExpression</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ASTGroupedExpression";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ASTGroupedExpression.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTExpression.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTMacroExpression.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/ASTGroupedExpression.html" target="_top">Frames</a></li>
<li><a href="ASTGroupedExpression.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_fr.inria.alpage.frmgcm.dpp.SimpleNode">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_fr.inria.alpage.frmgcm.dpp.SimpleNode">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Class ASTGroupedExpression" class="title">Class ASTGroupedExpression</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">fr.inria.alpage.frmgcm.dpp.SimpleNode</a></li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.dpp.ASTGroupedExpression</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">ASTGroupedExpression</span>
extends <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.frmgcm.dpp.SimpleNode">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;fr.inria.alpage.frmgcm.dpp.<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#children">children</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#id">id</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#parent">parent</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#parser">parser</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#value">value</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTGroupedExpression.html#ASTGroupedExpression(fr.inria.alpage.frmgcm.dpp.DPathParser,%20int)">ASTGroupedExpression</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a>&nbsp;p,
                    int&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTGroupedExpression.html#ASTGroupedExpression(int)">ASTGroupedExpression</a></strong>(int&nbsp;id)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_fr.inria.alpage.frmgcm.dpp.SimpleNode">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;fr.inria.alpage.frmgcm.dpp.<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#dump(java.lang.String)">dump</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#getId()">getId</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtAddChild(fr.inria.alpage.frmgcm.dpp.Node,%20int)">jjtAddChild</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtClose()">jjtClose</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetChild(int)">jjtGetChild</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetNumChildren()">jjtGetNumChildren</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetParent()">jjtGetParent</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtGetValue()">jjtGetValue</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtOpen()">jjtOpen</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtSetParent(fr.inria.alpage.frmgcm.dpp.Node)">jjtSetParent</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#jjtSetValue(java.lang.Object)">jjtSetValue</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#toString()">toString</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#toString(java.lang.String)">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ASTGroupedExpression(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ASTGroupedExpression</h4>
<pre>public&nbsp;ASTGroupedExpression(int&nbsp;id)</pre>
</li>
</ul>
<a name="ASTGroupedExpression(fr.inria.alpage.frmgcm.dpp.DPathParser, int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ASTGroupedExpression</h4>
<pre>public&nbsp;ASTGroupedExpression(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a>&nbsp;p,
                    int&nbsp;id)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ASTGroupedExpression.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTExpression.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTMacroExpression.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/ASTGroupedExpression.html" target="_top">Frames</a></li>
<li><a href="ASTGroupedExpression.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_fr.inria.alpage.frmgcm.dpp.SimpleNode">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_fr.inria.alpage.frmgcm.dpp.SimpleNode">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
